<form [formGroup]="form">
    <mat-form-field class="example-full-width">
        <mat-label>Mentor</mat-label>
        <mat-select formControlName="mentorId" required>
            <mat-option [value]="0" ng-selected="true">Select Mentor </mat-option>
            <mat-option *ngFor="let mentor of mentors" [value]="mentor.id">
                {{mentor.firstName}} {{mentor.lastName}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <mat-label>Technologies</mat-label>
        <mat-select formControlName="skillId" required>
            <mat-option [value]="0" ng-selected="true">Select Skill </mat-option>
            <mat-option *ngFor="let technology of technologies" [value]="technology.id">
                {{technology.name}}
            </mat-option>
        </mat-select>
    </mat-form-field>

    <mat-form-field class="example-full-width">
        <input matInput placeholder="status" formControlName="status">
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="progress" formControlName="progress" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="rating" formControlName="rating" required>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput [ngxMatDatetimePicker]="picker1" placeholder="Start date" formControlName="startDate">
        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #picker1></ngx-mat-datetime-picker>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput [ngxMatDatetimePicker]="picker2" placeholder="End date" formControlName="endDate">
        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #picker2></ngx-mat-datetime-picker>
    </mat-form-field>
    <mat-form-field class="example-full-width">
        <input matInput placeholder="fees" formControlName="fees" type="number" required>
    </mat-form-field>
</form>